class ConvReLU2d(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  in_channels : int
  out_channels : int
  kernel_size : Tuple[int, int]
  stride : Tuple[int, int]
  padding : Tuple[int, int]
  dilation : Tuple[int, int]
  transposed : bool
  output_padding : Tuple[int, int]
  groups : int
  padding_mode : str
  _packed_params : __torch__.torch.classes.quantized.Conv2dPackedParamsBase
  scale : float
  zero_point : int
  def __getstate__(self: __torch__.torch.nn.intrinsic.quantized.modules.conv_relu.___torch_mangle_42.ConvReLU2d) -> Tuple[int, int, Tuple[int, int], Tuple[int, int], Tuple[int, int], Tuple[int, int], bool, Tuple[int, int], int, str, Tensor, Optional[Tensor], float, int, bool]:
    w, b, = (self)._weight_bias()
    in_channels = self.in_channels
    out_channels = self.out_channels
    kernel_size = self.kernel_size
    stride = self.stride
    padding = self.padding
    dilation = self.dilation
    transposed = self.transposed
    output_padding = self.output_padding
    groups = self.groups
    padding_mode = self.padding_mode
    scale = self.scale
    zero_point = self.zero_point
    training = self.training
    _0 = (in_channels, out_channels, kernel_size, stride, padding, dilation, transposed, output_padding, groups, padding_mode, w, b, scale, zero_point, training)
    return _0
  def __setstate__(self: __torch__.torch.nn.intrinsic.quantized.modules.conv_relu.___torch_mangle_42.ConvReLU2d,
    state: Tuple[int, int, Tuple[int, int], Tuple[int, int], Tuple[int, int], Tuple[int, int], bool, Tuple[int, int], int, str, Tensor, Optional[Tensor], float, int, bool]) -> NoneType:
    self.in_channels = (state)[0]
    self.out_channels = (state)[1]
    self.kernel_size = (state)[2]
    self.stride = (state)[3]
    self.padding = (state)[4]
    self.dilation = (state)[5]
    self.transposed = (state)[6]
    self.output_padding = (state)[7]
    self.groups = (state)[8]
    self.padding_mode = (state)[9]
    _1 = (self).set_weight_bias((state)[10], (state)[11], )
    self.scale = (state)[12]
    self.zero_point = (state)[13]
    self.training = (state)[14]
    return None
  def _weight_bias(self: __torch__.torch.nn.intrinsic.quantized.modules.conv_relu.___torch_mangle_42.ConvReLU2d) -> Tuple[Tensor, Optional[Tensor]]:
    _packed_params = self._packed_params
    return (_packed_params).unpack()
  def set_weight_bias(self: __torch__.torch.nn.intrinsic.quantized.modules.conv_relu.___torch_mangle_42.ConvReLU2d,
    w: Tensor,
    b: Optional[Tensor]) -> NoneType:
    padding_mode = self.padding_mode
    if torch.eq(padding_mode, "zeros"):
      stride = self.stride
      padding = self.padding
      dilation = self.dilation
      groups = self.groups
      _2, _3, = stride
      _4 = [_2, _3]
      _5, _6, = padding
      _7 = [_5, _6]
      _8, _9, = dilation
      _10 = ops.quantized.conv2d_prepack(w, b, _4, _7, [_8, _9], groups)
      self._packed_params = _10
    else:
      stride0 = self.stride
      _11 = [0, 0]
      dilation0 = self.dilation
      groups0 = self.groups
      _12, _13, = stride0
      _14 = [_12, _13]
      _15, _16, = dilation0
      _17 = ops.quantized.conv2d_prepack(w, b, _14, _11, [_15, _16], groups0)
      self._packed_params = _17
    return None
  def forward(self: __torch__.torch.nn.intrinsic.quantized.modules.conv_relu.___torch_mangle_42.ConvReLU2d,
    argument_1: Tensor) -> Tensor:
    _packed_params = self._packed_params
    input = ops.quantized.conv2d_relu(argument_1, _packed_params, 0.042849577963352203, 0)
    return input
